Package uk.ac.starlink.vo

## Interface TapLanguage

-     public interface TapLanguage

  Describes a query language as declared by a TAP capabilities record.
  Since:
    29 Nov 2011
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription​()` | Returns a textual description of this language.
    `java.util.Map<java.lang.String,TapLanguageFeature[]>` | `getFeaturesMap​()` | Returns a map of language features for this language.
    `java.lang.String` | `getName​()` | Returns the language name.
    `java.lang.String[]` | `getVersionIds​()` | Returns version IVO-IDs.
    `java.lang.String[]` | `getVersions​()` | Returns version strings.

- - ### Method Detail

    - #### getName

          java.lang.String getName​()

      Returns the language name.
      Returns:
        name with no version suffix

    - #### getVersions

          java.lang.String[] getVersions​()

      Returns version strings.
      Returns:
        array of supported version names, same length as `getVersionIds` array

    - #### getVersionIds

          java.lang.String[] getVersionIds​()

      Returns version IVO-IDs.
      Returns:
        array of IVO-IDs associated with supported versions, same length as `getVersions` array

    - #### getDescription

          java.lang.String getDescription​()

      Returns a textual description of this language.
      Returns:
        description string

    - #### getFeaturesMap

          java.util.Map<java.lang.String,TapLanguageFeature[]> getFeaturesMap​()

      Returns a map of language features for this language. Map keys are the language feature "type" strings, and the values are arrays of features with that type.
      Returns:
        type->feature list map

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.